package com.web.web_assignment;

import java.util.List;

public class Project {
    private String title;
    private String summary;
    private String description;
    private List<String> keywords;
    private String type;
    private List<String> collaborators;
    private String link;
    private String time;

    public Project(String title, String summary, String description, List<String> keywords, String type, List<String> collaborators, String link, String time) {
        this.title = title;
        this.summary = summary;
        this.description = description;
        this.keywords = keywords;
        this.type = type;
        this.collaborators = collaborators;
        this.link = link;
        this.time = time;
    }

    public Project(){

    }

    // Getters and setters for each field
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<String> getKeywords() {
        return keywords;
    }

    public void setKeywords(List<String> keywords) {
        this.keywords = keywords;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<String> getCollaborators() {
        return collaborators;
    }

    public void setCollaborators(List<String> collaborators) {
        this.collaborators = collaborators;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }
}

